package com.ruoyi.info.quicklink.service;

import com.ruoyi.common.core.domain.PageQuery;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.info.quicklink.domain.QuickLink;
import com.ruoyi.info.quicklink.domain.bo.QuickLinkBo;
import com.ruoyi.info.quicklink.domain.vo.QuickLinkVo;

import java.util.Collection;
import java.util.List;

/**
 * 金刚区Service接口
 *
 * @author wuchao
 * @date 2023-12-20
 */
public interface IQuickLinkService {

    /**
     * 查询金刚区分页
     *
     * @param bo 金刚区
     * @return 金刚区集合
     */
    TableDataInfo<QuickLinkVo> queryPageList(QuickLinkBo bo, PageQuery pageQuery);

    /**
     * 查询金刚区列表
     *
     * @param bo 金刚区
     * @return 金刚区集合
     */
    List<QuickLinkVo> queryList(QuickLinkBo bo);

    /**
     * 查询金刚区列表
     *
     * @param locationCode 广告
     * @return 广告集合
     */
    List<QuickLinkVo> queryListForApi(String locationCode);

    /**
     * 查询金刚区
     *
     * @param id 金刚区主键
     * @return 金刚区
     */
    QuickLinkVo queryById(Long id);

    /**
     * 详情金刚区
     *
     * @param id 金刚区主键
     * @return 金刚区
     */
    QuickLink loadById(Long id, Boolean tw);

    /**
     * 新增金刚区
     *
     * @param bo 金刚区
     * @return 结果
     */
    Boolean insertByBo(QuickLinkBo bo);

    /**
     * 修改金刚区
     *
     * @param bo 金刚区
     * @return 结果
     */
    Boolean updateByBo(QuickLinkBo bo);

    /**
     * 校验并批量删除金刚区信息
     *
     * @param ids     需要删除的金刚区主键集合
     * @param isValid 是否校验,true-删除前校验,false-不校验
     * @return 结果
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    /**
     * 修改状态
     * @param id
     */
    void updateStatus(Long id);

}
